library ieee;
use ieee.std_logic_1164.all;

entity BasculeJK is
   port (J, K, Horl: in std_logic; Q: inout std_logic);
end entity BasculeJK;

architecture FonctionLogique of BasculeJK is
signal NonQ: std_logic := '1';
begin
   process (J, K, Horl)
   begin
      if (Horl'EVENT and Horl = '1') then
         if J = '1' and K = '0' then
            Q <= '1';
         elsif J = '0' and K = '1' then
            Q <= '0';
         elsif J = '1' and K = '1' then
            Q <= NonQ;
         end if;
      end if;
   end process;
   NonQ <= not Q;
end architecture FonctionLogique;