entity ControleReservoir is
   port (Rajout, Nmax, Nmin, TS1, TS2, TS3, TS4, TS5, TS6, TS7, TS8, TM1, TM2,
   TM3, TM4, TM5, TM6, TM7, TM8: in bit; Vadm, Vevac, T: out bit);
end entity ControleReservoir;

architecture LogiqueVannesTemp of ControleReservoir is
begin
   Vadm <= not Nmin or (not Nmax and Rajout);
   Vevac <= Nmin and not Rajout and T;
   T <= (TS1 xor TM1) or (TS2 xor TM2) or (TS3 xor TM3) or (TS4 xor TM4)
   or (TS5 xor TM5) or (TS6 xor TM6) or (TS7 xor TM7) or (TS8 xor TM8);
end architecture LogiqueVannesTemp;
