library ieee;
use ieee.std_logic_1164.all;
entity BasculeJK is
   port (J, K, Horloge: in std_logic; Q, NonQ: inout std_logic);
end entity BasculeJK;

architecture FonctionLogique of BasculeJK is
signal J1, K1: std_logic;

begin
process (J, K, Horloge, J1, K1, Q, NonQ)
   begin
      if falling_edge (Horloge) and Horloge = '0' then
         J1 <= not (J and not Horloge and NonQ);
         K1 <= not (K and not Horloge and Q);
   end if;
      Q <= J1 nand NonQ;
   NonQ <= K1 nand Q;
end process;
end architecture FonctionLogique;