library ieee;
use ieee.std_logic_1164.all;

entity RegEntrParallSortSerie is
   port (D0, D1, D2, D3, D4, D5, D6, D7, DECCHARG, Horloge:
      in std_logic; Q, NonQ: inout std_logic);
end entity RegEntrParallSortSerie;

architecture FonctionLogique of RegEntrParallSortSerie is
   signal S1, S2, S3, S4, S5, S6, S7,
   Q0, Q1, Q2, Q3, Q4, Q5, Q6, Q7: std_logic;

function DecCh (A,B,C: in std_logic)return std_logic is
begin
   return ((A and B) or (not B and C));
end function DecCh;

component BascD is
port (D, Horloge: in std_logic;
   Q: inout std_logic);
end component BascD;

begin
   DC1:S1 <= DecCh (Q0, DECCHARG, D1);
   DC2:S2 <= DecCh (Q1, DECCHARG, D2);
   DC3:S3 <= DecCh (Q2, DECCHARG, D3);
   DC4:S4 <= DecCh (Q3, DECCHARG, D4);
   DC5:S5 <= DecCh (Q4, DECCHARG, D5);
   DC6:S6 <= DecCh (Q5, DECCHARG, D6);
   DC7:S7 <= DecCh (Q6, DECCHARG, D7);
   BASC0: BascD port map (D => D0 and not DECCHARG, Horloge => Horloge, Q => Q0);
   BASC1: BascD port map (D => S1, Horloge => Horloge, Q => Q1);
   BASC2: BascD port map (D => S2, Horloge => Horloge, Q => Q2);
   BASC3: BascD port map (D => S3, Horloge => Horloge, Q => Q3);
   BASC4: BascD port map (D => S4, Horloge => Horloge, Q => Q4);
   BASC5: BascD port map (D => S5, Horloge => Horloge, Q => Q5);
   BASC6: BascD port map (D => S6, Horloge => Horloge, Q => Q6);
   BASC7: BascD port map (D => S7, Horloge => Horloge, Q => Q);
   NonQ <= not Q;
end architecture FonctionLogique;