library ieee;
use ieee.std_logic_1164.all;

entity Temporisation is
   port (Validation, Horl: in std_logic;
      InitCompt: in integer range 0 to 1023;
      Qsor: inout std_logic);
end entity Temporisation;

architecture ComportementTemporisation of Temporisation is
begin
   process(Validation, Horl)
   variable Compt: integer range 0 to 1023;
   begin
      if (Horl'EVENT and Horl = '1') then
         if Validation = '0' then
            Compt := 0; Qsor <= '0';
         end if;
         if Compt = InitCompt then
            Qsor <= '1';
            Compt := 0;
         else
            Compt := Compt + 1;
         end if;
      end if;
   end process;
end architecture ComportementTemporisation;